/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/*
	@TODO: Add to theme: new division fix for updated sass package.
*/
/**==================================================================================================================================
BREAKPOINT
@TODO: remove? What is use case?? either use simple global points or write custom line. why does first breakpoint have to be 0?
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
section.epilepsi-anfall-video {
  width: 100%;
  color: var(--color__white);
  position: relative;
  z-index: 2;
  margin-top: -60vh;
  background-color: var(--color__black);
  isolation: isolate;
}

section.epilepsi-anfall-video .anfall-video-scroll-container {
  position: relative;
  width: 100%;
  padding-bottom: 20vh;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-container {
  height: 100vh;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-container video {
  height: 100%;
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transform: translate(0, 0) !important;
  display: block;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-container .anfall-video-transition-overlay {
  position: absolute;
  inset: 0;
  z-index: 2;
  background-color: var(--color__dark-purple-bg);
  opacity: 0;
  pointer-events: none;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-delay-spacer {
  height: 110vh;
  width: 100%;
  pointer-events: none;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section {
  height: 100vh;
  width: 100%;
  position: relative;
  z-index: 10;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-info {
  height: 60vh;
  width: 100%;
  position: relative;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-info::before {
  content: "";
  position: absolute;
  top: -30vh;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(180deg, rgba(187, 162, 227, 0) 30.06%, #9B7AD0 108.78%);
  pointer-events: none;
  z-index: 1;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-info.purple-gradient::before {
  content: "";
  position: absolute;
  top: -28vh;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 13.56%, #FFF 100%);
  pointer-events: none;
  z-index: 1;
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content {
  padding: 4rem 0;
  border-top: 1px solid var(--color__white);
  margin: 0 4rem;
  height: 35vh;
  position: relative;
  z-index: 3;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

@media (max-width: 87.5em) {
  section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content {
    gap: 2rem;
  }
}
section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content.purple-color {
  border-top: 1px solid var(--color__dark-purple);
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content.purple-color .anfall-video-label,
section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content.purple-color .anfall-video-text {
  color: var(--color__dark-purple);
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content.purple-color .anfall-video-label::before {
  background-color: var(--color__dark-purple);
}

section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content .anfall-video-label {
  display: flex;
  gap: 0.4rem;
  position: relative;
  padding-left: 1.5em;
}

@media (max-width: 87.5em) {
  section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content .anfall-video-label {
    font-size: 1rem;
  }
}
section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content .anfall-video-label::before {
  content: "";
  position: absolute;
  width: 9px;
  height: 9px;
  border-radius: 50%;
  background-color: var(--color__white);
  left: 5px;
  top: 50%;
  transform: translate(-50%, -50%);
}

@media (max-width: 87.5em) {
  section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content .anfall-video-label .anfall-video-name {
    font-size: 1rem;
  }
}
section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content .anfall-video-text {
  width: 37%;
  margin: 0 5rem 0 0;
  text-wrap: pretty;
}

@media (max-width: 87.5em) {
  section.epilepsi-anfall-video .anfall-video-scroll-container .anfall-video-section .anfall-video-content .anfall-video-text {
    font-size: 1.5rem;
    margin: 0 8rem 0 0;
  }
}
